# Uses of Interface
org.opensaml.xmlsec.encryption.EncryptedData

Packages that use EncryptedData
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.soap.wssecurity
XMLObject interfaces for WS-Security 1.1 elements.
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of EncryptedData in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return EncryptedData
Modifier and Type
Method
Description
`EncryptedData`
EncryptedElementType.`getEncryptedData()`
Get the EncryptedData child element.
Methods in org.opensaml.saml.saml2.core with parameters of type EncryptedData
Modifier and Type
Method
Description
`void`
EncryptedElementType.`setEncryptedData(EncryptedData newEncryptedData)`
Set the EncryptedData child element.

## Uses of EncryptedData in org.opensaml.saml.saml2.core.impl

Fields in org.opensaml.saml.saml2.core.impl declared as EncryptedData
Modifier and Type
Field
Description
`private EncryptedData`
EncryptedElementTypeImpl.`encryptedData`
EncryptedData child element.
Methods in org.opensaml.saml.saml2.core.impl that return EncryptedData
Modifier and Type
Method
Description
`EncryptedData`
EncryptedElementTypeImpl.`getEncryptedData()`
Get the EncryptedData child element.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type EncryptedData
Modifier and Type
Method
Description
`void`
EncryptedElementTypeImpl.`setEncryptedData(EncryptedData newEncryptedData)`
Set the EncryptedData child element.

## Uses of EncryptedData in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption with parameters of type EncryptedData
Modifier and Type
Method
Description
`protected void`
Encrypter.`linkMultiplePeerKeys(EncryptedData encData, List<EncryptedKey> encKeys)`
Link multiple "multicast" EncryptedKeys to the EncryptedData according to guidelines in SAML Errata E43.
`protected void`
Encrypter.`linkSinglePeerKey(EncryptedData encData, EncryptedKey encKey)`
Link a single EncryptedKey to the EncryptedData according to guidelines in SAML Errata E43.
`protected EncryptedElementType`
Encrypter.`placeKeysAsPeers(EncryptedElementType encElement, EncryptedData encData, List<EncryptedKey> encKeys)`
Store the specified EncryptedData and EncryptedKey(s) in the specified instance of EncryptedElementType as peer elements, following SAML 2 Errata E43 guidelines for forward and back referencing between the EncryptedData and EncryptedKey(s).
`protected EncryptedElementType`
Encrypter.`placeKeysInline(EncryptedElementType encElement, EncryptedData encData, List<EncryptedKey> encKeys)`
Place the EncryptedKey elements inside the KeyInfo element within the EncryptedData element.
`protected EncryptedElementType`
Encrypter.`processElements(EncryptedElementType encElement, EncryptedData encData, List<EncryptedKey> encKeys)`
Handle post-processing of generated EncryptedData and EncryptedKey(s) and storage in the appropriate EncryptedElementType instance.
`Iterable<EncryptedKey>`
EncryptedElementTypeEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.

## Uses of EncryptedData in org.opensaml.soap.wssecurity

Methods in org.opensaml.soap.wssecurity that return EncryptedData
Modifier and Type
Method
Description
`EncryptedData`
EncryptedHeader.`getEncryptedData()`
Gets the EncryptedData child element.
Methods in org.opensaml.soap.wssecurity with parameters of type EncryptedData
Modifier and Type
Method
Description
`void`
EncryptedHeader.`setEncryptedData(EncryptedData newEncryptedData)`
Sets the EncryptedData child element.

## Uses of EncryptedData in org.opensaml.soap.wssecurity.impl

Fields in org.opensaml.soap.wssecurity.impl declared as EncryptedData
Modifier and Type
Field
Description
`private EncryptedData`
EncryptedHeaderImpl.`encryptedData`
EncryptedData child element.
Methods in org.opensaml.soap.wssecurity.impl that return EncryptedData
Modifier and Type
Method
Description
`EncryptedData`
EncryptedHeaderImpl.`getEncryptedData()`
Gets the EncryptedData child element.
Methods in org.opensaml.soap.wssecurity.impl with parameters of type EncryptedData
Modifier and Type
Method
Description
`void`
EncryptedHeaderImpl.`setEncryptedData(EncryptedData newEncryptedData)`
Sets the EncryptedData child element.

## Uses of EncryptedData in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement EncryptedData
Modifier and Type
Class
Description
`class`
`EncryptedDataImpl`
Concrete implementation of `EncryptedData`.
Methods in org.opensaml.xmlsec.encryption.impl that return EncryptedData
Modifier and Type
Method
Description
`EncryptedData`
EncryptedDataBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`EncryptedData`
EncryptedDataBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of EncryptedData in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as EncryptedData
Modifier and Type
Field
Description
`private final EncryptedData`
ChainingEncryptedKeyResolver.ChainingIterable.`encryptedData`
The EncryptedData context for resolution.
`private final EncryptedData`
ChainingEncryptedKeyResolver.ChainingIterator.`encryptedData`
The EncryptedData context for resolution.
Methods in org.opensaml.xmlsec.encryption.support that return EncryptedData
Modifier and Type
Method
Description
`protected EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, Key encryptionKey, String encryptionAlgorithmURI, boolean encryptContentMode)`
Encrypts the given XMLObject using the specified encryption key, algorithm URI and content mode flag.
`EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, DataEncryptionParameters encParams)`
Encrypts the DOM representation of the XMLObject.
`EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, DataEncryptionParameters encParams, List<KeyEncryptionParameters> kekParamsList)`
Encrypts the DOM representation of the XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey(s) within the EncryptedData's KeyInfo.
`private EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, DataEncryptionParameters encParams, List<KeyEncryptionParameters> kekParamsList, boolean encryptContentMode)`
Encrypts the given XMLObject using the specified encryption key, algorithm URI and content mode flag.
`EncryptedData`
Encrypter.`encryptElement(XMLObject xmlObject, DataEncryptionParameters encParams, KeyEncryptionParameters kekParams)`
Encrypts the DOM representation of the XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey within the EncryptedData's KeyInfo.
`EncryptedData`
Encrypter.`encryptElementContent(XMLObject xmlObject, DataEncryptionParameters encParams)`
Encrypts the DOM representation of the content of an XMLObject.
`EncryptedData`
Encrypter.`encryptElementContent(XMLObject xmlObject, DataEncryptionParameters encParams, List<KeyEncryptionParameters> kekParamsList)`
Encrypts the DOM representation of the content of an XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey(s) within the EncryptedData's KeyInfo..
`EncryptedData`
Encrypter.`encryptElementContent(XMLObject xmlObject, DataEncryptionParameters encParams, KeyEncryptionParameters kekParams)`
Encrypts the DOM representation of the content of an XMLObject, encrypts the encryption key using the specified key encryption parameters and places the resulting EncryptedKey within the EncryptedData's KeyInfo..
Methods in org.opensaml.xmlsec.encryption.support with parameters of type EncryptedData
Modifier and Type
Method
Description
`XMLObject`
Decrypter.`decryptData(EncryptedData encryptedData)`
This is a convenience method for calling `Decrypter.decryptData(EncryptedData, boolean)`, with the `rootInNewDocument` parameter value supplied by `Decrypter.isRootInNewDocument()`.
`XMLObject`
Decrypter.`decryptData(EncryptedData encryptedData, boolean rootInNewDocument)`
Decrypts the supplied EncryptedData and returns the resulting XMLObject.
`DocumentFragment`
Decrypter.`decryptDataToDOM(EncryptedData encryptedData)`
Decrypts the supplied EncryptedData and returns the resulting DOM `DocumentFragment`.
`DocumentFragment`
Decrypter.`decryptDataToDOM(EncryptedData encryptedData, Key dataEncKey)`
Decrypts the supplied EncryptedData using the specified key, and returns the resulting DOM `DocumentFragment`.
`List<XMLObject>`
Decrypter.`decryptDataToList(EncryptedData encryptedData)`
This is a convenience method for calling `Decrypter.decryptDataToList(EncryptedData, boolean)`, with the `rootInNewDocument` parameter value supplied by `Decrypter.isRootInNewDocument()`.
`List<XMLObject>`
Decrypter.`decryptDataToList(EncryptedData encryptedData, boolean rootInNewDocument)`
Decrypts the supplied EncryptedData and returns the resulting list of XMLObjects.
`private DocumentFragment`
Decrypter.`decryptUsingResolvedEncryptedKey(EncryptedData encryptedData, String algorithm)`
Attempt to decrypt by resolving the decryption key by first resolving EncryptedKeys, and using the KEK credential resolver to resolve the key decryption for each.
`private DocumentFragment`
Decrypter.`decryptUsingResolvedKey(EncryptedData encryptedData)`
Attempt to decrypt by resolving the decryption key using the standard credential resolver.
`protected boolean`
AbstractEncryptedKeyResolver.`matchCarriedKeyName(EncryptedData encryptedData, EncryptedKey encryptedKey)`
Evaluate whether an EncryptedKey's CarriedKeyName matches one of the KeyName values from the EncryptedData context.
`protected boolean`
AbstractEncryptedKeyResolver.`matchDataReference(EncryptedData encryptedData, EncryptedKey encryptedKey)`
Evaluate whether any of the EncryptedKey's DataReferences refer to the EncryptedData context.
`protected void`
Decrypter.`preProcessEncryptedData(EncryptedData encryptedData, Key dataEncKey)`
Preprocess the EncryptedData.
`Iterable<EncryptedKey>`
ChainingEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`default Iterable<EncryptedKey>`
EncryptedKeyResolver.`resolve(EncryptedData encryptedData)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
EncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
InlineEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
SimpleKeyInfoReferenceEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
SimpleRetrievalMethodEncryptedKeyResolver.`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`void`
DefaultPreDecryptionValidator.`validate(EncryptedData encryptedData)`
Validate an instance of `EncryptedData`.
`void`
PreDecryptionValidator.`validate(EncryptedData encryptedData)`
Validate an instance of `EncryptedData`.
`protected void`
Decrypter.`validateAlgorithms(EncryptedData encryptedData)`
Validate the algorithms contained within an `EncryptedData`.
Constructors in org.opensaml.xmlsec.encryption.support with parameters of type EncryptedData
Modifier
Constructor
Description
``
`ChainingIterable(ChainingEncryptedKeyResolver resolver, EncryptedData encData, Set<String> recipientIDs)`
Constructor.
``
`ChainingIterator(ChainingEncryptedKeyResolver resolver, EncryptedData encData, Set<String> recipientIDs)`
Constructor.